This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 859675 - Review Request: wcd - chdir for DOS and Unix
Review Request: wcd - chdir for DOS and Unix
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 02:43 EDT by Erwin Waterlander
Modified: 2013-10-19 10:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-02 14:31:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erwin Waterlander 2012-09-23 02:43:14 EDT
Spec URL: http://waterlan.home.xs4all.nl/fedora/wcd.spec
SRPM URL: http://waterlan.home.xs4all.nl/fedora/wcd-5.2.2-1.fc17.src.rpm

Description:
Wcd.   Directory changer for DOS and Unix.  Another Norton
Change Directory (NCD) clone.

Wcd is a command-line program to change directory fast. It
saves time typing at the keyboard.  One needs to type only
a part of a directory  name and wcd  will jump to it.  Wcd
has a fast selection  method  in  case of multiple matches
and allows aliasing and  banning of directories.  Wcd also
includes a full-screen interactive  directory tree browser
with speed search.

Fedora Account System Username: waterlan

This is my first package for Fedora and I need a sponsor.

I am the upstream maintainer of wcd.
Comment 1 Eduardo Echeverria 2012-09-23 04:47:29 EDT
Hi Erwin 

I'm not sponsor

This is a informal review 

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: These BR are not needed: sed
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[ ]: MUST Package complies to the Packaging Guidelines
[!]: MUST Spec file lacks Packager, Vendor, PreReq tags.
     Note: Found : Packager: Erwin Waterlander <waterlan@xs4all.nl>
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "GPL (v2 or later)" For detailed output of licensecheck see file:
     /home/makerpm/859675-wcd/licensecheck.txt
[ ]: MUST The spec file handles locales properly.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[!]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: These BR are not needed: sed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
[!]: MUST Spec file lacks Packager, Vendor, PreReq tags.
     Note: Found : Packager: Erwin Waterlander <waterlan@xs4all.nl>
See: None

Rpmlint
-------
Checking: wcd-debuginfo-5.2.2-1.fc17.x86_64.rpm
          wcd-5.2.2-1.fc17.src.rpm
          wcd-5.2.2-1.fc17.x86_64.rpm
wcd-debuginfo.x86_64: W: invalid-license GPL
wcd.src: W: spelling-error Summary(en_US) chdir -> chair, choir
wcd.src: W: summary-not-capitalized C chdir for DOS and Unix
wcd.src: W: invalid-license GPL
wcd.src:9: W: hardcoded-packager-tag Erwin
wcd.x86_64: W: spelling-error Summary(en_US) chdir -> chair, choir
wcd.x86_64: W: summary-not-capitalized C chdir for DOS and Unix
wcd.x86_64: W: incoherent-version-in-changelog 5.2.2 ['5.2.2-1.fc17', '5.2.2-1']
wcd.x86_64: W: invalid-license GPL
wcd.x86_64: W: non-conffile-in-etc /etc/profile.d/wcd.csh
wcd.x86_64: W: non-conffile-in-etc /etc/profile.d/wcd.sh
wcd.x86_64: W: no-manual-page-for-binary wcd.exe
3 packages and 0 specfiles checked; 0 errors, 12 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint wcd
wcd.x86_64: W: spelling-error Summary(en_US) chdir -> chair, choir
wcd.x86_64: W: summary-not-capitalized C chdir for DOS and Unix
wcd.x86_64: W: incoherent-version-in-changelog 5.2.2 ['5.2.2-1.fc17', '5.2.2-1']
wcd.x86_64: W: invalid-license GPL
wcd.x86_64: W: non-conffile-in-etc /etc/profile.d/wcd.csh
wcd.x86_64: W: non-conffile-in-etc /etc/profile.d/wcd.sh
wcd.x86_64: W: no-manual-page-for-binary wcd.exe
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'

Requires
--------
wcd-debuginfo-5.2.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

wcd-5.2.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libc.so.6()(64bit)  
    libncursesw.so.5()(64bit)  
    libtinfo.so.5()(64bit)  
    libunistring.so.0()(64bit)  
    rtld(GNU_HASH)  

Provides
--------
wcd-debuginfo-5.2.2-1.fc17.x86_64.rpm:
    
    wcd-debuginfo = 5.2.2-1.fc17
    wcd-debuginfo(x86-64) = 5.2.2-1.fc17

wcd-5.2.2-1.fc17.x86_64.rpm:
    
    wcd = 5.2.2-1.fc17
    wcd(x86-64) = 5.2.2-1.fc17

MD5-sum check
-------------
http://waterlan.home.xs4all.nl/wcd-5.2.2-src.tar.gz :
  CHECKSUM(SHA256) this package     : e6b0a1ad728bde723272db8c93a86b7022823de81a74027b1108049cb22e91f2
  CHECKSUM(SHA256) upstream package : e6b0a1ad728bde723272db8c93a86b7022823de81a74027b1108049cb22e91f2


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 859675
External plugins:

In the spec remove sed in BuildRequires
http://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2
Change the macro $RPM_BUILD_ROOT to %{buildroot}
Remove Packager: Erwin Waterlander <waterlan@xs4all.nl>
In the section Changelog increment the number release whenever you make a change
Example 5.2.2-1

Regards
Comment 2 Eduardo Echeverria 2012-09-23 04:50:57 EDT
Every time you make a version of the spec, paste the output of rpmlint
Comment 3 Erwin Waterlander 2012-09-23 15:13:33 EDT
Hi,

thanks. I have uploaded a new spec and rpm file (same location).

%changelog
* Sun Sep 23 2012 Erwin Waterlander <waterlan@xs4all.nl> - 5.2.2
- Removed tag Packager.
- Removed Buildrequires sed.
- Changed License tag from GPL to GPLv2


[root@localhost wcd]# rpmlint -v wcd.spec
wcd.spec: I: checking-url http://waterlan.home.xs4all.nl/wcd-5.2.2-src.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[root@localhost wcd]# rpmlint -v wcd-5.2.2-1.fc17.src.rpm 
wcd.src: I: checking
wcd.src: W: spelling-error Summary(en_US) chdir -> chair, choir
wcd.src: W: summary-not-capitalized C chdir for DOS and Unix
wcd.src: I: checking-url http://waterlan.home.xs4all.nl/ (timeout 10 seconds)
wcd.src: I: checking-url http://waterlan.home.xs4all.nl/wcd-5.2.2-src.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

best regards,

Erwin
Comment 4 Eduardo Echeverria 2012-09-23 15:50:11 EDT
Hi Erwin 
Fix this

Increment Release  Release: 1%{?dist} to Release: 2%{?dist}
In the section Changelog increment the number release whenever you make a change
Example 5.2.2-2, 

In SRPMS

[!]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5

wcd.x86_64: W: non-conffile-in-etc /etc/profile.d/wcd.csh
wcd.x86_64: W: non-conffile-in-etc /etc/profile.d/wcd.sh
https://fedoraproject.org/wiki/ParagNemade/CommonRpmlintErrors#non-conffile-in-etc
add %config in %files 
==========================================================================
wcd.x86_64: W: no-manual-page-for-binary wcd.exe http://fedoraproject.org/wiki/Packaging:Guidelines#Man_pages
easy job because you are the developer
Comment 5 Eduardo Echeverria 2012-09-23 16:19:31 EDT
Hi again Erwin, 
The debuginfo package contains c3po
you'll have to pack http://sourceforge.net/projects/c3po/
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 6 Erwin Waterlander 2012-09-23 16:40:32 EDT
Hi Eduardo,

New files
Spec URL: http://waterlan.home.xs4all.nl/fedora/wcd.spec
SRPM URL: http://waterlan.home.xs4all.nl/fedora/wcd-5.2.2-3.fc17.src.rpm

Increased release number.

I don't understand why there is a warning that there is no %clean section, because there is a %clean section in the spec file present.

Wcd does not depend on any c3po libraries. Wcd includes source code that has been generated with c3po.

regards,

Erwin
Comment 7 Eduardo Echeverria 2012-09-23 17:30:02 EDT
Hi Erwin

Remove
%clean
this => rm -rf $RPM_BUILD_ROOT
this is needed only if supporting EPEL5

and this warning
wcd.x86_64: W: non-conffile-in-etc /etc/profile.d/wcd.csh
wcd.x86_64: W: non-conffile-in-etc /etc/profile.d/wcd.sh
https://fedoraproject.org/wiki/ParagNemade/CommonRpmlintErrors#non-conffile-in-etc

and the man-pages is needed

Best Regards
Comment 8 Erwin Waterlander 2012-09-24 13:08:49 EDT
Hi,

New files
Spec URL: http://waterlan.home.xs4all.nl/fedora/wcd.spec
SRPM URL: http://waterlan.home.xs4all.nl/fedora/wcd-5.2.2-4.fc17.src.rpm

* Mon Sep 24 2012 Erwin Waterlander <waterlan@xs4all.nl> - 5.2.2-4
- Summary starts with capital letter C.
- Config files marked with config.
- Removed clean section (needed only if supporting EPEL5).
- Moved man-pages under doc.


[root@localhost wcd]# rpmlint -v wcd.spec                                                                        
wcd.spec: I: checking-url http://waterlan.home.xs4all.nl/wcd-5.2.2-src.tar.gz (timeout 10 seconds)                                         
0 packages and 1 specfiles checked; 0 errors, 0 warnings.                                                                                  

[root@localhost wcd]# rpmlint -v wcd.spec wcd-5.2.2-4.fc17.src.rpm
wcd.spec: I: checking-url http://waterlan.home.xs4all.nl/wcd-5.2.2-src.tar.gz (timeout 10 seconds)
wcd.src: I: checking
wcd.src: W: spelling-error Summary(en_US) Chdir -> Chair, Choir
wcd.src: I: checking-url http://waterlan.home.xs4all.nl/ (timeout 10 seconds)
wcd.src: I: checking-url http://waterlan.home.xs4all.nl/wcd-5.2.2-src.tar.gz (timeout 10 seconds)
1 packages and 1 specfiles checked; 0 errors, 1 warnings.


regards,
Erwin
Comment 9 Erwin Waterlander 2012-09-24 13:19:03 EDT
Hi,

About this warning:
W: no-manual-page-for-binary wcd.exe.

The manual name is 'wcd'.

The binary name is 'wcd.exe' to make the distinction with the required alias or function named 'wcd'. Wcd can only function when it is called via an alias or function. Many people in the past have tried to run the binary directly, but this does not work. The alias (for csh) and the function (for bash) are defined in the config files.

If you want I can change the .exe suffix into something else (some people are allergic to anything that reminds them of DOS). Eg Debian uses .exec.

On Debian the binary is installed under /usr/libexec/, because the packager says you don't execute the binary directly. This is debatable. /usr/libexec is for programs called by programs/scripts, and I don't call an alias a program. 

best regards,

Erwin
Comment 10 Erwin Waterlander 2012-09-26 14:45:36 EDT
Eduardo, thanks for all your help.

Is the spec file now good to go?

I assume the next step is finding a sponsor.

regards,

Erwin
Comment 11 Eduardo Echeverria 2012-09-27 04:09:27 EDT
Hi Erwin, 
No, there are some things to fix
%config files are marked noreplace or the reason is justified.
Change this
%config /etc/profile.d/wcd.*
to 
%config(noreplace) /etc/profile.d/wcd.*
http://fedoraproject.org/wiki/Packaging/Guidelines#Configuration_files

and
no-manual-page-for-binary wcd.exe
I dont know the reason for not recognized the man-pages, 
Try with your idea (rename the man-pages)


I wish you the best of luck in search of sponsor


Regards
Comment 12 Erwin Waterlander 2012-09-27 14:12:58 EDT
New files
Spec URL: http://waterlan.home.xs4all.nl/fedora/wcd.spec
SRPM URL: http://waterlan.home.xs4all.nl/fedora/wcd-5.2.2-5.fc17.src.rpm

Hi Eduardo,

Thanks again.

The old configs need to be overwritten. I have added a comment to explain.

Also for the man page wcd is an exception. I have added a comment for that too.
The manual gets the name of the package and the name of the defined alias/function. The name of the binary can vary and actually doesn't matter much. Wcd is different than all other packages in the sense that it must be executed via a shell alias/function.

The reason behind this is that wcd has to execute a 'cd' command and the 'cd' command is a shell built-in function. Therefore a trick has to be done to execute a cd command. The binary creates a shell script. And the generated shell script is sourced in the current shell via an alias/function.

best regards,
Erwin Waterlander
Comment 13 Matthias Runge 2012-10-01 07:50:57 EDT
I'll do the official review, and will take care of sponsoring Erwin, when it's done.
Comment 14 Erwin Waterlander 2012-10-01 15:23:10 EDT
Hi Matthias,

Thank you very much!

best regards,
Erwin
Comment 15 Matthias Runge 2012-10-03 03:15:54 EDT
Erwin,

may I hint you, to take a closer look to the following page?

https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group#Convincing_someone_to_sponsor_you
Comment 16 Matthias Runge 2012-10-08 04:08:25 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: %config files are marked noreplace or the reason is justified.
     Note: %config /etc/profile.d/wcd.*
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Configuration_files


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[!]: %config files are marked noreplace or the reason is justified.
     Note: %config /etc/profile.d/wcd.*
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "GPL (v2 or later)", "Unknown or generated". 3 files have unknown
     license. Detailed output of licensecheck in
     /home/mrunge/review/859675-wcd/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (wcd-5.2.2-src.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wcd-5.2.2-5.fc19.src.rpm
          wcd-5.2.2-5.fc19.x86_64.rpm
          wcd-debuginfo-5.2.2-5.fc19.x86_64.rpm
wcd.src: W: spelling-error Summary(en_US) Chdir -> Chair, Choir
wcd.x86_64: W: spelling-error Summary(en_US) Chdir -> Chair, Choir
wcd.x86_64: W: conffile-without-noreplace-flag /etc/profile.d/wcd.csh
wcd.x86_64: W: conffile-without-noreplace-flag /etc/profile.d/wcd.sh
wcd.x86_64: W: no-manual-page-for-binary wcd.exe
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint wcd-debuginfo wcd
wcd.x86_64: W: spelling-error Summary(en_US) Chdir -> Chair, Choir
wcd.x86_64: W: conffile-without-noreplace-flag /etc/profile.d/wcd.csh
wcd.x86_64: W: conffile-without-noreplace-flag /etc/profile.d/wcd.sh
wcd.x86_64: W: no-manual-page-for-binary wcd.exe
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
wcd-5.2.2-5.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    config(wcd) = 5.2.2-5.fc19
    libc.so.6()(64bit)  
    libncursesw.so.5()(64bit)  
    libtinfo.so.5()(64bit)  
    libunistring.so.0()(64bit)  
    rtld(GNU_HASH)  

wcd-debuginfo-5.2.2-5.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
wcd-5.2.2-5.fc19.x86_64.rpm:
    
    config(wcd) = 5.2.2-5.fc19
    wcd = 5.2.2-5.fc19
    wcd(x86-64) = 5.2.2-5.fc19

wcd-debuginfo-5.2.2-5.fc19.x86_64.rpm:
    
    wcd-debuginfo = 5.2.2-5.fc19
    wcd-debuginfo(x86-64) = 5.2.2-5.fc19



MD5-sum check
-------------
http://waterlan.home.xs4all.nl/wcd-5.2.2-src.tar.gz :
  CHECKSUM(SHA256) this package     : e6b0a1ad728bde723272db8c93a86b7022823de81a74027b1108049cb22e91f2
  CHECKSUM(SHA256) upstream package : e6b0a1ad728bde723272db8c93a86b7022823de81a74027b1108049cb22e91f2


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24

You should replace 

# Overwrite the old config files. Old config files may break a new
# installation when the name of the binary changes.
%config /etc/profile.d/wcd.*
^^^^
with
%config %{_sysconfdir}/profile.d/wcd.*

and could also be more explicit with the man-page:
%{_mandir}/man1/wcd.1.*

Please change both, before importing into scm.

Package approved.


Erwin, you can now proceed to request a repository:
https://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 17 Erwin Waterlander 2012-10-08 14:09:15 EDT
Hi,

Before I started working on the wcd.spec file I had a well running Fedora 14. I upgraded to 17, and that became a nightmare. The cause was bad Nvidia and vesa drivers, which gave me black screens after a few minutes. After a few evenings with a lot of frustration I managed to do a fresh installation (my data was lost in the process) with drivers from nvidia.com.
In Fedora 17 both Gnome and KDE cannot handle by two monitors properly, but Okay so be it. I have to reconfigure my display settings every time.
Now suddenly my Fedora 17 doesn't boot any more. It freezes after "Starting manage, Install and Generate Color Profiles..."

So I cannot work on this any further. I think I wait until Fedora 18 has been released and try again after.

best regards,

Erwin Waterlander
Comment 18 Erwin Waterlander 2012-10-09 01:34:18 EDT
Hi,

I have put a new spec file here:
Spec URL: http://waterlan.home.xs4all.nl/fedora/wcd.spec

I cannot test it, because my Fedora 17 booting hangs at random points.

regards,

Erwin
Comment 19 Erwin Waterlander 2012-10-09 14:52:59 EDT
Hi,
My Fedora installation is working again. I booted in text mode and reinstalled some nvidia packages. I continue with this package.
Erwin
Comment 20 Erwin Waterlander 2012-10-09 15:03:53 EDT
New Package SCM Request
=======================
Package Name: wcd
Short Description: Chdir for DOS and Unix
Owners: waterlan
Branches: f18 el6
InitialCC: mrunge twaugh
Comment 21 Gwyn Ciesla 2012-10-09 15:20:19 EDT
Git done (by process-git-requests).
Comment 22 Erwin Waterlander 2012-10-31 16:09:46 EDT
The past weeks I have worked on a new version of wcd. I released it on Monday Oct 29. I added support for a $(sysconfdir) variable in the Makefile. So now the installation uses %{_syscondir} from the spec file.

New spec file and source rpm:

Spec URL: http://waterlan.home.xs4all.nl/fedora/wcd.spec
SRPM URL: http://waterlan.home.xs4all.nl/fedora/wcd-5.2.3-1.fc17.src.rpm

Now I continue with the packaging for Fedora.

best regards,
Erwin
Comment 23 Erwin Waterlander 2012-11-07 13:48:50 EST
Package Change Request
======================
Package Name: wcd
New Branches: f17
Owners: waterlan
InitialCC: mrunge twaugh

Make wcd available in the current f17 branch.
Comment 24 Gwyn Ciesla 2012-11-07 14:04:17 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.